'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.highlight = highlight;
exports.supports = supports;

var _prismjs = require('prismjs');

var _prismjs2 = _interopRequireDefault(_prismjs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var loaded = [];

function highlight(source, language) {
    if (loaded.indexOf(language) !== -1 || supports(language)) {
        return _prismjs2.default.highlight(source, _prismjs2.default.languages[language]);
    } else {
        return source;
    }
}

function supports(language) {
    try {
        require('prismjs/components/prism-' + language);
        loaded.push(language);
        return true;
    } catch (ex) {
        return false;
    }
}