"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Input = function () {
    function Input(input) {
        _classCallCheck(this, Input);

        this._lines = input.split(/\r?\n/);
        this._currentLine = 0;
    }

    _createClass(Input, [{
        key: "peekLine",
        value: function peekLine() {
            return this._lines[this._currentLine];
        }
    }, {
        key: "nextLine",
        value: function nextLine() {
            return this._lines[this._currentLine++];
        }
    }, {
        key: "eof",
        value: function eof() {
            return this._currentLine === this._lines.length;
        }
    }, {
        key: "current",
        value: function current() {
            return this._currentLine;
        }
    }]);

    return Input;
}();

exports.default = Input;